Name:    librdkafka
# NOTE: Make sure to update this to match rdkafka.h version
Version: 0.8.5
Release: 0
%define soname 1

Summary: The Apache Kafka C library
Group:   Development/Libraries/C and C++
License: BSD-2-Clause
URL:     https://github.com/edenhill/librdkafka
Source:	 librdkafka-%{version}.tar.gz

BuildRequires:	zlib-devel
BuildRequires:	libstdc++-devel
BuildRequires:	gcc >= 4.1
BuildRequires:	gcc-c++
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
librdkafka is a C/C++ library implementation of the Apache Kafka protocol, containing both Producer and Consumer support.
It was designed with message delivery reliability and high performance in mind, current figures exceed 800000 msgs/second for the producer and 3 million msgs/second for the consumer.


%package -n %{name}%{soname}
Summary: The Apache Kafka C library
Group:   Development/Libraries/C and C++

%description -n %{name}%{soname}
librdkafka is a C/C++ library implementation of the Apache Kafka protocol, containing both Producer and Consumer support.


%package -n %{name}-devel
Summary: The Apache Kafka C library (Development Environment)
Group:   Development/Libraries/C and C++
Requires: %{name}%{soname} = %{version}
Requires: zlib-devel
Requires: libstdc++-devel

%description -n %{name}-devel
librdkafka is a C/C++ library implementation of the Apache Kafka protocol, containing both Producer and Consumer support.

This package contains headers and libraries required to build applications
using librdkafka.


%prep
%setup -q

%configure

%build
make

%install
DESTDIR=%{buildroot} make install

%clean
rm -rf %{buildroot}

%post   -n %{name}%{soname} -p /sbin/ldconfig
%postun -n %{name}%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%defattr(755,root,root)
%{_libdir}/librdkafka.so.%{soname}
%{_libdir}/librdkafka++.so.%{soname}
%defattr(-,root,root)
%doc README.md CONFIGURATION.md INTRODUCTION.md
%doc LICENSE LICENSE.pycrc LICENSE.snappy

%files -n %{name}-devel
%defattr(755,root,root)
%dir %{_includedir}/librdkafka
%defattr(444,root,root)   
%{_includedir}/librdkafka/*
%defattr(644,root,root)
%{_libdir}/librdkafka.a
%{_libdir}/librdkafka++.a
%defattr(755,root,root)
%{_libdir}/librdkafka++.so
%{_libdir}/librdkafka.so


%changelog
* Mon Jan  5 2015 Peter Czanik <peter.czanik@balabit.com> 0.8.5-0
- initial rpm packaging by Magnus Edenhill <rdkafka@edenhill.se>
- minor changes for fedora
